import Flutter
import UIKit

// Inside MyDialogPlugin.swift
public class PeachpluginsampletestPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "my_dialog_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftMyDialogPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if call.method == "showAlert" {
      guard let args = call.arguments as? [String: Any],
            let title = args["title"] as? String,
            let message = args["message"] as? String else {
        result(FlutterError(code: "INVALID_ARGUMENT", message: "Invalid arguments", details: nil))
        return
      }
      let alertController = UIAlertController(title: title, message: message, preferredStyle: .alert)
      alertController.addAction(UIAlertAction(title: "OK", style: .default, handler: { _ in
        result(nil)
      }))
      UIApplication.shared.keyWindow?.rootViewController?.present(alertController, animated: true, completion: nil)
    } else {
      result(FlutterMethodNotImplemented)
    }
  }
}
